Am 20.05.2022 bekommt das Forum ein neues Update. Ab ca. 12:00 ist das Forum nicht mehr erreichbar und wird spätestens am 21.05. wieder online sein. Alle bis dahin erstellten Daten bleiben natürlich erhalten.

Vielen Dank für euer Verständnis. Bei Rückfragen: webmaster@linux-club.de (Christian)

[Tipp] Einfache LAMP Installation - out-of-the-box

Alles rund um das Internet, Internet-Anwendungen (E-Mail, Surfen, Cloud usw.) und das Einrichten von Netzwerken einschl. VPN unter Linux

Moderator: Moderatoren

Antworten
Christian N.
Member
Member
Beiträge: 88
Registriert: 17. Dez 2003, 16:22
Kontaktdaten:

[Tipp] Einfache LAMP Installation - out-of-the-box

Beitrag von Christian N. »

Sehr empfehlenswertes Tool zur einfachen Installation eines LAMP-Servers.
Schaut euch alle mal diese Seite an: http://www.apachefriends.org/de/ .

Mit freundlichen Grüßen
Christian
Benutzeravatar
moenk
Administrator
Administrator
Beiträge: 1444
Registriert: 15. Aug 2003, 15:36
Wohnort: N52° 27.966' E013° 20.087'
Kontaktdaten:

Beitrag von moenk »

Dazu gibts auch ein hilfreiches Support-Forum: http://www.apachefriends.org/f/viewforum.php?f=3
Denkst Du noch selber oder bist Du schon Schwarm?
Benutzeravatar
KriS
Newbie
Newbie
Beiträge: 27
Registriert: 2. Sep 2004, 19:46
Kontaktdaten:

Beitrag von KriS »

Hi,

und dazu noch 2 FAQs:

http://faq.kwm-web.info
http://www.apachefriends.org/de/faq-xampp-linux.html

Addons zu XAMPP sind zu finden:

http://addons.xampp.org

So long
KriS
Benutzeravatar
moenk
Administrator
Administrator
Beiträge: 1444
Registriert: 15. Aug 2003, 15:36
Wohnort: N52° 27.966' E013° 20.087'
Kontaktdaten:

Beitrag von moenk »

Außerdem der Hinwies: Bei SuSE reicht es phpMyAdmin zu installieren, durch die Abhängigkeiten zieht Yast dann alles mit was gebraucht wird.
Denkst Du noch selber oder bist Du schon Schwarm?
Benutzeravatar
oc2pus
Ultimate Guru
Ultimate Guru
Beiträge: 6506
Registriert: 21. Jun 2004, 13:01

Beitrag von oc2pus »

ähm, afaik ist xampp ein komplettes Paket und beinhalte alles was man braucht. Es nutzt dazu KEINE SuSE-Pakete ....
tell people what you want to do, and they'll probably help you to do it.
PackMan
LinWiki : Das Wiki für Linux User
Benutzeravatar
KriS
Newbie
Newbie
Beiträge: 27
Registriert: 2. Sep 2004, 19:46
Kontaktdaten:

Beitrag von KriS »

oc2pus hat geschrieben:ähm, afaik ist xampp ein komplettes Paket und beinhalte alles was man braucht. Es nutzt dazu KEINE SuSE-Pakete ....
Hi,

Bingo ;)

er wollte aber darauf hinaus, das man auch unter SuSE eine art XAMPP installieren kann, in dem man einfach phpmyadmin installiert.

Weil phpmyadmin hat Requirements von:

apache
php
mysql

Somit hat man ja schon einen fast fertigen Webserver ;)

So long
KriS
Benutzeravatar
michael_33
Member
Member
Beiträge: 70
Registriert: 20. Jul 2004, 09:58

Beitrag von michael_33 »

oc2pus hat geschrieben:Es nutzt dazu KEINE SuSE-Pakete ....
Was wohl scheinbar auch besser ist. :evil: :evil: :evil:

ich verzweifel hier gerade mit SuSE9.0 + apache + php
.| 2.6.15-gentoo-r1 | .. fluxbox 0.9.14 ..|.
.| AMD Athlon(tm) XP 2400+ | GSA-4040B | Elitegroup K7S5A | Matrox Millennium G400 |.
Benutzeravatar
oc2pus
Ultimate Guru
Ultimate Guru
Beiträge: 6506
Registriert: 21. Jun 2004, 13:01

Beitrag von oc2pus »

@michael_33
na dann nimm xampp ;)

ehrlich, es funktioniert auf Anhieb. Ist Super Dokumentiert und einfach zu konfigurieren. Alles was du tun musst steht EXAKT auf der xampp Homepage ;)
tell people what you want to do, and they'll probably help you to do it.
PackMan
LinWiki : Das Wiki für Linux User
Benutzeravatar
wingfire
Newbie
Newbie
Beiträge: 43
Registriert: 9. Jan 2004, 15:03
Wohnort: Köln
Kontaktdaten:

Beitrag von wingfire »

hi zusammen,
leider kann ich mich für die hochschule nicht auf xampp von apachefriends.org verlassen. ich muss daher einen xamp mit suse-paketen aufbauen.
hauptgrund sind die updates, diese fehlen leider bei apachefriends.org, hier muss man immer das komplette paket neu einspielen. also nix mit you.
gruss christof
Benutzeravatar
KriS
Newbie
Newbie
Beiträge: 27
Registriert: 2. Sep 2004, 19:46
Kontaktdaten:

Beitrag von KriS »

Hi,

für den Produktionsbetrieb ist XAMPP auch gänzlich ungeeignet.
Es ist lediglich für entwickler.
Entwickler brauchen zwar aktuelle Software mit den neuesten features, aber wenn mal ein Security-Leak da ist, sollte es nicht ganz so gravierend sein.

Dennoch sind wir bemüht XAMPP aktuell zu halten. Allerdings bringen wir nicht jede Woche ein neues release. Sondern warten bis min. 2 MajorBugs o.Ä. bekannt und behoben sind.

So long
KriS
Benutzeravatar
wingfire
Newbie
Newbie
Beiträge: 43
Registriert: 9. Jan 2004, 15:03
Wohnort: Köln
Kontaktdaten:

Beitrag von wingfire »

gibt's irgendwo eine brachbare anleitung wie ich mir xampp mit reinen SuSE-Mitteln nachbauen kann?
Benutzeravatar
KriS
Newbie
Newbie
Beiträge: 27
Registriert: 2. Sep 2004, 19:46
Kontaktdaten:

Beitrag von KriS »

Hi,

nein leider nicht...
Aber ein simples installieren von phpMyAdmin über YaST
wird alle Grundlegenden Komponenten installieren.
(Apache, PHP (PHP-MySQL), MySQL & phpMyAdmin)
Marcel14
Member
Member
Beiträge: 72
Registriert: 6. Jul 2004, 22:33

Beitrag von Marcel14 »

Ich habe den Lampp installier aber wenn ich im Browser localhost eingebe bekomme ich volgende message:
Forbidden

You don't have permission to access / on this server.

Additionally, a 403 Forbidden error was encountered while trying to use an ErrorDocument to handle the request.
Apache/2.0.50 (Linux/SUSE) Server at localhost Port 80


Ich habe schon versucht den Ordner /opt/lampp/htdocs, mit dem Befehle chmod 777 /opt/lampp/htdocs , freizugeben aber das hat nichts geändert. Habe ich vieleicht was falsch gemacht?
Ich leb offline mit T-offline.
Heart
Hacker
Hacker
Beiträge: 449
Registriert: 10. Jul 2004, 14:37

Beitrag von Heart »

Hm, wahrscheinlich gehört das Verzeichnis dem root....

Check das mal....

Wenn ja, änder die Rechte/den owner auf Deinen User dann klappts auch mit dem Nachbar :wink:
Desktop 10/2012
Marcel14
Member
Member
Beiträge: 72
Registriert: 6. Jul 2004, 22:33

Beitrag von Marcel14 »

Hi, nachdem ich den Lampp server neu gestertet habe tat alles.
Ich leb offline mit T-offline.
urmel
Newbie
Newbie
Beiträge: 1
Registriert: 12. Aug 2004, 18:30

trick funktioniert nicht

Beitrag von urmel »

moenk hat geschrieben:Außerdem der Hinwies: Bei SuSE reicht es phpMyAdmin zu installieren, durch die Abhängigkeiten zieht Yast dann alles mit was gebraucht wird.
vielleicht mache ich ja was falsch; aber der trick funktioniert nicht bei SuSE 9.2

ich suche phpMyAdmin und er findet auch das programm, aber nix ist mit dem vielbeschworenen nachziehen der restlichen anwendungen.
Antworten